Last Comment Bug 755961 - plugin stream decomtamination: nsIPluginStreamListener
: plugin stream decomtamination: nsIPluginStreamListener
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Josh Aas
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 16:51 PDT by Josh Aas
Modified: 2012-05-18 13:21 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (49.87 KB, patch)
2012-05-16 16:51 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.1 (50.18 KB, patch)
2012-05-17 09:07 PDT, Josh Aas
benjamin: review+
Details | Diff | Splinter Review

Description Josh Aas 2012-05-16 16:51:00 PDT
Created attachment 624596 [details] [diff] [review]
fix v1.0

nsIPluginStreamListener is unnecessary and complicates our stream handling. We can simplify things by removing it. The trickiest part is that we use QI to figure out what type of stream data we put in NPStream's 'ndata' field. With my patch we always use the same type of stream wrapper object for 'ndata'

diffstat: 13 files changed, 147 insertions(+), 275 deletions(-)
Comment 1 Josh Aas 2012-05-16 16:52:30 PDT
Doing this should also allow us to remove nsIPluginStreamInfo easily.
Comment 2 Josh Aas 2012-05-17 09:07:24 PDT
Created attachment 624768 [details] [diff] [review]
fix v1.1

nsNPAPIStreamWrapper doesn't need to be a COM object either.
Comment 5 Josh Aas 2012-05-18 10:21:38 PDT
pushed to mozilla-central

https://hg.mozilla.org/mozilla-central/rev/12020cb10ace

Note You need to log in before you can comment on or make changes to this bug.